from netforce.model import Model, fields, get_model
from netforce.utils import get_data_path
import time
from netforce.access import get_active_user
from netforce.access import get_active_company

class Hdcaseline(Model):
    _name="clinic.hd.case.line"
    _fields={
        "hd_case_id": fields.Many2One("clinic.hd.case","HdCase",required=True,on_delete="cascade"),
        "dialzer_id": fields.Many2One("clinic.dialyzer","Dialzer",search=True),
        "detail": fields.Char("description",search=True),
        "use_time":fields.Integer("Use time"),
        "max_use_time":fields.Integer("Max use time"),
        "member_type": fields.Selection([("unsub","Unsub cellul"),("sub","Sub cellul"),("synthetic","Synthetic")],"Member Type",required=True),
        "dialyzer_type": fields.Selection([("low","low flux"),("high","high flux"),("dbl","dbl hifulx")],"Member Type",required=True),
        "bid_flow_rate": fields.Integer("Bid Flow Rate (ml/min)",required=True,search=True),
        "ultrafittration": fields.Float("Ultrafittration Kg.",required=True,search=True),
        "state":fields.Selection([("draft","New"),("active","Active"),("drop","Drop")],"Status DZ"),
    }
Hdcaseline.register()

